Bug 159433 - Update port: devel/make++ to 1.40.1a
Summary: Update port: devel/make++ to 1.40.1a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-03 19:40 UTC by tkato432
Modified: 2011-08-12 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (5.61 KB, patch)
2011-08-03 19:40 UTC, tkato432
no flags Details | Diff
devel_make++.diff (5.60 KB, patch)
2011-08-12 19:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2011-08-03 19:40:16 UTC
- Update to version 1.40.1a
Comment 1 Emanuel Haupt freebsd_committer 2011-08-08 11:50:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 2 Emanuel Haupt freebsd_committer 2011-08-08 18:05:27 UTC
For some reason during the 'make build' process the filesystem outside
of ${WRKDIR} is being modified - this should not happen, see:

http://people.freebsd.org/~ehaupt/misc/make%2b%2b-1.40.1a.log

I get even another error when trying to build the port outside a
tinderbox:

--- build begins here ---
root@portjail:/usr/ports/devel/make++ # make build
===>  Vulnerability check disabled, database not found
===>  License ART10 GPLv1 GPLv2 GPLv3 accepted by the user
===>  Extracting for make++-1.40.1a
=> SHA256 Checksum OK for makepp-1.40.1a.tar.gz.
===>   make++-1.40.1a depends on file: /usr/local/bin/perl5.12.4 - found
===>  Patching for make++-1.40.1a
===>   make++-1.40.1a depends on file: /usr/local/bin/perl5.12.4 - found
===>   make++-1.40.1a depends on file: /usr/local/bin/perl5.12.4 - found
===>  Configuring for make++-1.40.1a
===>  Building for make++-1.40.1a
cd makepp_tests && PERL=/usr/local/bin/perl /usr/local/bin/perl run_tests.pl
passed aaasimple
passed additional_dependencies
passed c_compilation
passed client_server
passed conditionals
passed directories
passed dry_run_what_if
passed export
passed extra_dependencies
passed implicit_load
FAILED include: run_tests.pl: makepp returned error status
passed load_makefile
passed make_makefile
passed md5
passed only_targets
passed parallel
passed pattern_rule
passed perl
passed recursive_make_unix
passed recursive_rules
passed repository
passed signature
passed special_chars_unix
passed static_pattern
passed target_specific
passed variable_expansion
passed variables_automatic
*** Error code 1

Stop in /usr/ports/devel/make++/work/makepp-1.40.
*** Error code 1

Stop in /usr/ports/devel/make++.
--- build ends here ---

Could you please investigate?
Comment 3 Emanuel Haupt freebsd_committer 2011-08-08 18:05:54 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 tkato432 2011-08-12 19:00:08 UTC
Here is the corrected patch.
Comment 5 Emanuel Haupt freebsd_committer 2011-08-12 20:25:28 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2011-08-12 20:25:35 UTC
ehaupt      2011-08-12 19:25:21 UTC

  FreeBSD ports repository

  Modified files:
    devel/make++         Makefile distinfo pkg-plist 
  Log:
  Update to 1.40.1.a
  
  PR:             159433
  Submitted by:   KATO Tsuguru <tkato432@yahoo.com>
  
  Revision  Changes    Path
  1.12      +31 -19    ports/devel/make++/Makefile
  1.7       +2 -2      ports/devel/make++/distinfo
  1.4       +56 -21    ports/devel/make++/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"